[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: critical problems in 2.3.5 prevent release



On Fri, Jun 08, 2001 at 12:47:31AM -0800, Ethan Benson wrote:
> On Fri, Jun 08, 2001 at 04:31:01AM -0400, Adam Di Carlo wrote:

> > debootstrap is still saying: 'Failure trying to run: dpkg
> > --force-auto-select --force-overwrite --force'
> 
> it would be nice if we could get more data as to whats really causing
> this.  ill try and look at this tonite.  

powerpc-utils wants to update a conffile. The prompt fails because stdin
is /dev/null. You then get repeat 20 failures of dpkg because
powerpc-utils never configures. This should be fixed in
debootstrap-0.1.10. I usually hand-patch the woody script 
(/usr/lib/debootstrap/scripts/woody if memory serves) to include
--force-confold before I install base (while I wait for
debootstrap-0.1.10 to show up ;-).

> > the quik booting didn't work on this Wallstreet PowerMac, but that's
> > status quo, not a blocker per se.  No, it's not ofpath failing, that
> > returns fine (ofpath /dev/hda => /pci/mac-io/ata0/ata-disk@0:).  I
> > can't tell if that's actually used to set boot-device because the
> > system is going into serial console and I don't have one at the
> > moment.

You should be able to run nvsetenv at VT2? (or nvsetenv boot-device).

> yeah the quik stuff is pretty much going to fail unless you have a
> 7200, 7300, or 7600.  

What else is needed? I can't fully test it, but I don't mind adding it.

Stephen

-- 
Stephen R. Marenka     If life's not fun, you're not doing it right!
<stephen@marenka.net>

Attachment: pgpQJYLm52MVy.pgp
Description: PGP signature


Reply to: